package com.qxgmat.dto.admin.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserAskQuestion;
import com.qxgmat.dto.admin.extend.ManagerExtendDto;
import com.qxgmat.dto.admin.extend.QuestionExtendDto;
import com.qxgmat.dto.admin.extend.QuestionNoExtendDto;
import com.qxgmat.dto.admin.extend.UserExtendDto;

@Dto(entity = UserAskQuestion.class)
public class UserAskListDto {

    private Integer id;

    private String title;

    private QuestionExtendDto question;
    private QuestionNoExtendDto questionNo;

    private UserExtendDto user;

    private ManagerExtendDto manager;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public QuestionExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionExtendDto question) {
        this.question = question;
    }

    public UserExtendDto getUser() {
        return user;
    }

    public void setUser(UserExtendDto user) {
        this.user = user;
    }

    public ManagerExtendDto getManager() {
        return manager;
    }

    public void setManager(ManagerExtendDto manager) {
        this.manager = manager;
    }

    public QuestionNoExtendDto getQuestionNo() {
        return questionNo;
    }

    public void setQuestionNo(QuestionNoExtendDto questionNo) {
        this.questionNo = questionNo;
    }
}
